import { select, json, geoPath, geoNaturalEarth1, geoAlbers } from 'd3';
import { feature } from 'topojson';
const svg = select('svg');
const projection = geoNaturalEarth1();
//const projection = geoAlbers();

const pathGenerator = geoPath().projection(projection);
json('https://raw.githubusercontent.com/deldersveld/topojson/master/countries/india/india-districts.json').then((data) => {
  console.log(data)
  const countries = feature(data, data.objects.IND_adm2);
  svg
    .selectAll('path')
    .data(countries.features)
    .enter()
    .append('path')
    .attr('class', 'country')
    .attr('d', pathGenerator);
});
